function ynew=sglazh(y,wind,type);
%Функция сглаживания ряда скользящим средним с данным окном.
% Длина ряда не укорачивается за счет уменьшения окна сглаживания в конце
% ряда (type=0) или в начале ряда (type=1).
n=length(y);
ynew=[];
if (type==0)
    for i=1:n
        lasti=i+wind-1;
        numi=wind;
        if lasti>length(y)
            lasti=length(y);
            numi=length(y)-i+1;
        end
        if numi>0
            avgyi=sum(y(i:lasti))/numi;
        else
            avgyi=y(i);
        end
        ynew=[ynew,avgyi];
    end
else
    for i=1:n
        begi=i-wind+1;
        numi=wind;
        if i<wind
            begi=1;
            numi=i;%length(y)-i+1;
        end
        if numi>0
            avgyi=sum(y(begi:i))/numi;
        else
            avgyi=y(i);
        end
        ynew=[ynew,avgyi];
        
    end
end
%figure;
%plot(ynew,'b');
%hold on;
%plot(y,'r');
%legend('ysglazh','y');